VirtualBox kernelhiba

Fórum: 

A VirtualBoxban indítottam a WXP-t, de kernelhibát dobott ki: https://ibb.co/bvc2xLr
A jelenlegi futó kernel az 5.4.10-es. Újraindítottam a rendszert, és a tartalék 4.15.0-72-essel indítottam el, amivel jól működik a VirtualBox. A VirtualBox verziószáma: 5.2.34. Mi a teendő ilyenkor?

Használd azt a kernelt,

#1 Akkor meg mi értelme van a kernelfrissítésnek?

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#2 Én nem szoktam frissítgetni, különösen Linux Minten nem.

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#2 Pont az ellenkezőjének, amire te használod: amikor valami nem működik régebbi kernellel. Akkor az upgrade segíthet.

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#4 Meglehetősen homályosan fogalmazol. A rendszerem Linux Mint 19.3 Xfce. Megpróbáltam a 19.10-es Ubuntuhoz tartozó VitualBoxot (.deb fájlból) telepíteni, de nem sikerült.

Értékelés: 

0
Még nincs értékelve
tresor képe

Használd azt a kernelt,

#5 A LM alapja a 18.04.3 LTS, arra biztos nem jó a 19-es Ubi csomagja. Tedd fel a kiadáshoz valót.

Van némi különbség a csomagok között.

https://pkgs.org/download/virtualbox

 

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#5 Szerintem pedig tökéletesen fogalmaz. A kernelfrissités akkor kell, ha valami nem müködik. Az újban esetleg lehet rá megoldás. A másik kérdés a Virtulboxra (19.10). Az volna a legnagyobb csoda, ha müködne. Persze nem működik. Meg kell érteni, hogy a Mint LTS verzió. Ha mindig a legfrissebbet akarod, akkor válassz roling disztrót, ne a Mintet. Bár akkor elég sokat fogsz fórumozni...

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#7 Kerneltémában inkább kimaritével vitatkozzatok, mert ő javasolta a 15-ös kernelt. Egyébként az Oracle az Ubuntu 19.10-hez és a 18.04-hez is ugyanazt a csomagot javasolja, mégpedig a 6.1_6.1.0-135406-ost.

Értékelés: 

0
Még nincs értékelve
tresor képe

Használd azt a kernelt,

#8 Az abban az esetben igaz, ha felveszed az Oracle tárolóját és onnan telepíted a leírás szerint. Amúgy meg amit a Canonical csomagol a kiadásaihoz. Lásd pkgs.org linkem. 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Használd azt a kernelt,

#8 Arról van szó, egyszerűen nincs új kernelre jó Virtualbox. Csak a VIrtualbox problémás az új kerneleken. Minden részletet nem tudok leírni. Megpróbálok rájönni a hibára, nálam is jelentkezett. Hátha van megoldása.
A korábbi problémára megoldás volt az új kernel, ezért használod ezt.

Állíts be nagyobb betűket, mert nem lehet elolvasni a képen (mely nem kicsi) az információkat,  bár sejtem, mi van oda írva.

#9 Lajos most Debiant használ, és itt nincs előre csomagolt Virtualbox a tükrökön.

Értékelés: 

0
Még nincs értékelve
tresor képe

Használd azt a kernelt,

#10 Szerintem nem Debian-ról van szó.

"Meglehetősen homályosan fogalmazol. A rendszerem Linux Mint 19.3 Xfce. Megpróbáltam a 19.10-es Ubuntuhoz tartozó VitualBoxot (.deb fájlból) telepíteni, de nem sikerült."

Értékelés: 

0
Még nincs értékelve

dkms?

Rég nem használtam Mint/Ubuntu vonalat, de azért esetleg: a virtualbox verzióhoz tartozó dkms végű csomag is fenn van? Fontos, hogy pontosan a megfelelő legyen fenn. 

A virtualbox-guest-dkms (6.1.0-1)  A linux-headers (5.4.10.arch1-1) nálam ezek feltétlen kellettek. 

 

 

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#10 Valamilyen virtualbox-dkms problémája van: https://ibb.co/7bnJQ6v , ahogyan balacy is írta.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Használd azt a kernelt,

#104.19.0-6-amd64 kernelt szeretné a 6.1 verzió, mármint az elvárt headers csomagokat nézzük most, mint információt:

sudo apt-get install virtualbox-6.1
Csomaglisták olvasása... Kész
Függőségi fa építése      
Állapotinformációk olvasása... Kész
A következő további csomagok lesznek telepítve:
  linux-compiler-gcc-8-x86 linux-headers-4.19.0-6-amd64 linux-headers-4.19.0-6-common linux-headers-amd64 linux-kbuild-4.19
Ajánlott csomagok:
  linux-image
Az alábbi ÚJ csomagok lesznek telepítve:
  linux-compiler-gcc-8-x86 linux-headers-4.19.0-6-amd64 linux-headers-4.19.0-6-common linux-headers-amd64 linux-kbuild-4.19
  virtualbox-6.1
0 frissített, 6 újonnan telepített, 0 eltávolítandó és 0 nem frissített.
Letöltendő adatmennyiség: 103 MB.
A művelet után 272 MB lemezterület kerül felhasználásra.
Folytatni akarja? [I/n] I
...
Csoport hozzáadása: vboxusers (csoport-azonosító 129) ...
Kész.
...

Értékelés: 

0
Még nincs értékelve
kimarite képe

Használd azt a kernelt,

#14 Így próbáltad indítani?

VirtualBox 6.1.0 r135406 (Qt5 11.3) - Debian 10 | Kernel: 5.4.7

https://www.youtube.com/watch?v=YOyJh5XuSVk

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#18 Körülbelül a tresor által linkelt oldal közepén, itt:

Debian-based Linux distributions
...... INNÉT FIGYELJ:

or combine downloading and registering:

wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -

.... stb.stb. itt haladj tovább

 

Értékelés: 

0
Még nincs értékelve
tresor képe

Használd azt a kernelt,

#19 Át is kell írni a kiadásnak megfelelően bionic-ra a forrásra mutató linket!

Értékelés: 

0
Még nincs értékelve
tresor képe

Használd azt a kernelt,

#21 Na,na LM19.3 Xfce a rendszer, ezt mondja Lajos még a legelején.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Használd azt a kernelt,

#21 https://www.virtualbox.org/wiki/Linux_Downloads#Debian-basedLinuxdistrib...

Add the following new line to your /etc/apt/sources.list. According to your distribution, replace '<mydist>' with 'eoan', 'bionic', 'xenial', 'buster', 'stretch', or 'jessie' (older versions of VirtualBox supported different distributions): # Debian 10 „Buster” tükör

### Virtualbox - Debian-based Linux distributions
deb [arch=amd64] https://download.virtualbox.org/virtualbox/debian buster contrib

The Oracle public key you can add # nyilvános kulcsok

wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -

To install VirtualBox, do # telepítés

sudo apt-get update
sudo apt-get install virtualbox-6.1

Értékelés: 

0
Még nincs értékelve
kimarite képe

Használd azt a kernelt,

#22 Háát .. bake, nem értem. A kernelt én forgattam és osztottam meg Lajossal, és az Debian. :-)

Igen, később ...: A rendszerem Linux Mint 19.3 Xfce

A nyitó kérésben kellett volna ezt közölni.
Bocs.

Akkor minden ugyanaz, kivéve ..., ami más, a helyes sor:

### Virtualbox - Debian-based Linux distributions
deb [arch=amd64] https://download.virtualbox.org/virtualbox/debian bionic contrib

Értékelés: 

0
Még nincs értékelve
tresor képe

Használd azt a kernelt,

#24 Spongyát rá. :-) No problem!

Értékelés: 

5
Átlag: 5 (1 szavazat)

Használd azt a kernelt,

#24 Az utolsó módosításoddal már települt a 6.1-es VirtualBox, de a hiba továbbra is fennáll, és mást ír ki: https://ibb.co/48zdFZC
Az ablaka is teljesen elfehéredett.
Lehet, hogy egy rendszervisszaállítás lesz - talán még a 14-es kernelt is visszaállítom.

Értékelés: 

0
Még nincs értékelve
tresor képe

Használd azt a kernelt,

#26 A VBox konfigurációs beállításaiban a képernyő résznél a Grafikus vezérlő:
-WMSVGA (6-os VBox-tól ez a default) vagy
-VBoxVGA ?
Ha az első, akkor próbáld a régebbi VBoxVGA-val indítani.

Értékelés: 

0
Még nincs értékelve
kimarite képe

vboxconfig

#26 Mi a kimenet?

sudo /sbin/vboxconfig

A futtatás előtt zárd be a VirtualBoxot.

Volt telepítve 5-ös verzió?
(https://linuxmint.hu/blog/2020/01/virtualbox-6-debian-10-buster-lmde-3-l... )

Értékelés: 

0
Még nincs értékelve
kimarite képe

vboxconfig

#28 Telepítsd a headers csomagokat is,

sudo apt-get install linux-headers-$(uname -r)

majd rendszer újraindítás.

Értékelés: 

0
Még nincs értékelve

Használd azt a kernelt,

#24 Lajos váltogatja a gépeit és a kerneljeit.

Értékelés: 

0
Még nincs értékelve

vboxconfig

#29 Ez sem segített: sudo apt-get install linux-headers-$(uname -r).
Visszaálltam az 5 nappal ez előtti állapotra, és a 4.15.0-74-es kernelt használom. Most már jó a VirtualBox is.

Más: beszereztem egy új routert [LB-Link Wireless-AC 750 Mbit DualBand Router (BL-WDR3750)]. Már nem szakadozik a kapcsolat, és gyorsabb a le-és feltöltés mobil eszközökön is. Az 5 GHz-es tartományt használom ac beállítással. Érdemes a magasabb frekvenciatartományra átállni, alig van néhány használó a szomszéd házakból.

Értékelés: 

0
Még nincs értékelve

vboxconfig

#31 User name:admin
Password: admin

Érdemes megváltoztatni őket ! :)

Értékelés: 

0
Még nincs értékelve
kimarite képe

vboxconfig

#31 Ez sem segített: sudo apt-get install linux-headers-$(uname -r).

Pedig az a neve: https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.4.7/

A rendszer újraindítás is kell.

Ugye, a Virtualbox hibajelzés a képernyőkép mentéseden azt javasolta javításra, amit én:

sudo /sbin/vboxconfig

Ha ez sem jött be (nem írtad), akkor valami más lehet(ne) a megoldás. Nem lehetetlen, mert Debian alatt van megoldás (alapvetően működik), a Linux Mint pedig majdhogynem a Debianra épül.

https://www.youtube.com/watch?v=a91FabNge0I

Hibák mindig is lesznek, ahogy a rockerek is - a kettő között nincs más összefüggés. :-)

Értékelés: 

0
Még nincs értékelve